<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:HMS="http://www.hec.usace.army.mil/software/hec-hms" >

<xsl:template match="/HMS:basin">
  <p><b>Basin Model "<xsl:value-of select="/HMS:basin/@name"/>"</b></p>
  <table border="2" width="100%">
    <tr>
      <th>Subbasin</th>
      <th>Snyder Tp</th>
      <th>Snyder Cp</th>
    </tr>
    <xsl:for-each select="/HMS:basin/HMS:subbasin">
    <tr>
      <xsl:apply-templates select="."/>
      <xsl:apply-templates select="./HMS:transform/HMS:snydertp"/>
      <xsl:apply-templates select="child::HMS:transform/HMS:snydercp"/>
    </tr>
    </xsl:for-each>
  </table>
  <p>Current as of <xsl:value-of select="/HMS:basin/HMS:header/HMS:lastmodifieddate"/> at <xsl:value-of select="/HMS:basin/HMS:header/HMS:lastmodifiedtime"/> </p>
</xsl:template>

<xsl:template match="HMS:subbasin">
  <td><xsl:value-of select="@name"/></td>
</xsl:template>

<xsl:template match="HMS:snydertp">
  <td><xsl:value-of select="."/></td>
</xsl:template>

<xsl:template match="HMS:snydercp">
  <td><xsl:value-of select="."/></td>
</xsl:template>

</xsl:stylesheet>